%define _python_dist_allow_version_zero 1
# ^^ auto-added by mkit rpmstuff for early devel version

%global _python_dist_allow_version_zero 1
%global srcname clapp
%global vdk_pylib_req vdk-pylib >= 0.1.0, vdk-pylib < 0.2.0


Name:           python-clapp
Version:        0.0.7
Release:        1%{?dist}
Summary:        clapp - A mini-framework for command line applications
URL:            https://gitlab.com/vornet/python/python-clapp
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{vdk_pylib_req}

%description
clapp is a mini framework to simplify building
command line applications.

Built with vdk-pylib-0.1.1


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pyyaml
Requires:       python3
Requires:       python3-pyyaml
%description -n python3-%{srcname}
clapp is a mini framework to simplify building
command line applications.


%prep
%setup -q


%build
make %{?_smp_mflags} PREFIX=/usr pystuff
%py3_build

%install
%py3_install

%check
export VDK_TEST__DEBUG=true
%{_vdk_pylib_utildir}/vdk_test %{srcname} doctest \
  && %{_vdk_pylib_utildir}/vdk_test %{srcname} unittest

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/


%changelog

# vim: syntax=spec:
# specfile built with MKit 0.1.3 and vdk-pylib-0.1.1
